Get entity by JSIN¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
17bfdeb6e2392d002fc1df2729566e852b315974Source run id:
32514171359Module:
OneLambda function:
jef-one-get-entity-by-entity-numberHTTP method:
GETInvocation mode:
syncPackage mode:
no-packageAPI category:
One Complex Sync No Package GET APIsAPI path:
/one/complex-sync-no-packages/jef-one-get-entity-by-entity-numberEndpoint URL:
https://api.jefoffice.com/one/complex-sync-no-packages/jef-one-get-entity-by-entity-numberDocumentation scope:
lambda-complex-sync-no-packages
Synchronous Lambda Complex Rule¶
This API is documented as a synchronous Lambda complex no-package API. API Gateway waits for the Lambda result and returns the final Lambda response.
Description¶
Retrieves an entity directly from jef-one-entities using the four-digit jsin primary key.
Payload Example¶
{
"jsin": "1513"
}
Payload Schema¶
{
"root": {
"type": "M",
"required": true,
"attributes": {
"jsin": {
"type": "S",
"required": true,
"pattern": "^[0-9]{4}$",
"min_length": 4,
"max_length": 4
}
}
}
}
Response Schema¶
{
"root": {
"type": "M",
"required": true,
"attributes": {
"is_accepted": {
"type": "BOOL",
"required": true
},
"can_continue": {
"type": "BOOL",
"required": true
},
"message_type": {
"type": "S",
"required": true
},
"message": {
"type": "S",
"required": true
},
"next_action": {
"type": "S",
"required": true
},
"operation": {
"type": "S",
"required": true
},
"status_code": {
"type": "N",
"required": true,
"integer": true,
"minimum": 100,
"maximum": 599
},
"failure_code": {
"type": "S",
"required": false
},
"failure_reason": {
"type": "S",
"required": false
},
"is_found": {
"type": "BOOL",
"required": true
},
"entity_found": {
"type": "BOOL",
"required": true
},
"jsin": {
"type": "S",
"required": false,
"pattern": "^[0-9]{4}$",
"min_length": 4,
"max_length": 4
},
"entity_name": {
"type": "S",
"required": false,
"min_length": 1,
"max_length": 120
},
"is_active": {
"type": "BOOL",
"required": false
},
"created": {
"type": "S",
"required": false,
"format": "date-time"
},
"updated": {
"type": "S",
"required": false,
"format": "date-time"
}
}
}
}
CMD curl¶
curl.exe -X GET "https://api.jefoffice.com/one/complex-sync-no-packages/jef-one-get-entity-by-entity-number"
PowerShell curl¶
curl.exe -X GET "https://api.jefoffice.com/one/complex-sync-no-packages/jef-one-get-entity-by-entity-number"